---

- name: detect JAVA_HOME
  shell: |
    dirname $(dirname $(readlink -f $(command -v javac)))
  ignore_errors: true
  no_log: true
  register: __java_home
  tags:
    - java
    - skip_ansible_lint

- name: setting fact for JAVA_HOME
  set_fact:
    java_home: "{{ __java_home.stdout }}"
  when: __java_home is defined
